--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: acctype; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE acctype (
    id serial NOT NULL,
    description text
);


--
-- Name: acctype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('acctype', 'id'), 5, true);


--
-- Name: awards; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE awards (
    id serial NOT NULL,
    username text,
    score integer,
    whn timestamp(0) without time zone,
    who text,
    why text
);


--
-- Name: awards_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('awards', 'id'), 25, true);


--
-- Name: bookcategories; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE bookcategories (
    id serial NOT NULL,
    name text
);


--
-- Name: bookcategories_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('bookcategories', 'id'), 7, true);


--
-- Name: books; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE books (
    id integer DEFAULT nextval(('"books_id_seq"'::text)::regclass) NOT NULL,
    title text,
    author text,
    keywords text,
    comments text,
    onloan boolean,
    loandate timestamp with time zone,
    publisher text,
    loanwho text,
    got boolean,
    isbn text,
    amazon_data text,
    image_url text
);


--
-- Name: books_id_seq; Type: SEQUENCE; Schema: public; Owner: dez
--

CREATE SEQUENCE books_id_seq
    INCREMENT BY 1
    MAXVALUE 2147483647
    NO MINVALUE
    CACHE 1;


--
-- Name: books_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval('books_id_seq', 148, true);


--
-- Name: booktags; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE booktags (
    bookid integer,
    tag integer
);


--
-- Name: events; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE events (
    id serial NOT NULL,
    name text,
    "location" text,
    whn timestamp(0) without time zone
);


--
-- Name: events_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('events', 'id'), 1, false);


--
-- Name: games; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE games (
    id serial NOT NULL,
    name text,
    connect text
);


--
-- Name: games_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('games', 'id'), 5, true);


--
-- Name: groups; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE groups (
    groupname character varying(20) NOT NULL,
    description text
);


--
-- Name: menu; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE menu (
    id serial NOT NULL,
    title text NOT NULL,
    parent integer,
    menuorder integer,
    target text,
    title_cy text,
    permission text
);


--
-- Name: menu_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('menu', 'id'), 37, true);


--
-- Name: news; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE news (
    id serial NOT NULL,
    title text,
    body text,
    date timestamp(0) without time zone,
    category character varying(15),
    sticky boolean,
    author character varying(20),
    expiry timestamp(0) without time zone DEFAULT (now() + '1 mon'::interval)
);


--
-- Name: news_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('news', 'id'), 13, true);


--
-- Name: pagemap; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE pagemap (
    id serial NOT NULL,
    path text,
    depth integer,
    component text
);


--
-- Name: pagemap_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pagemap', 'id'), 34, true);


--
-- Name: pastebin; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE pastebin (
    id serial NOT NULL,
    created timestamp(0) without time zone DEFAULT now(),
    username character varying(50),
    code text,
    highlighted_code text,
    "language" character varying(10),
    retain_til timestamp(0) with time zone DEFAULT ('now'::text)::timestamp(0) with time zone
);


--
-- Name: pastebin_comment; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE pastebin_comment (
    id integer,
    line integer,
    username character varying(50),
    created timestamp(0) without time zone,
    "comment" text
);


--
-- Name: pastebin_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pastebin', 'id'), 27, true);


--
-- Name: redirect; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE redirect (
    id serial NOT NULL,
    from_uri text,
    to_uri text
);


--
-- Name: redirect_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('redirect', 'id'), 18, true);


--
-- Name: session; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE "session" (
    hash text,
    username text,
    "time" timestamp(0) without time zone,
    data text,
    ip text
);


--
-- Name: shorturi; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE shorturi (
    id serial NOT NULL,
    url text,
    creator text,
    created timestamp without time zone
);


--
-- Name: shorturi_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('shorturi', 'id'), 16, true);


--
-- Name: static; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE static (
    id serial NOT NULL,
    path text,
    summary text,
    editor text,
    pageorder integer
);


--
-- Name: static_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('static', 'id'), 55, true);


--
-- Name: usergroup; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE usergroup (
    username character varying(20),
    groupname character varying(20)
);


--
-- Name: users; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE users (
    username character varying(20) NOT NULL,
    realname text,
    "password" text
);


--
-- Data for Name: acctype; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY acctype (id, description) FROM stdin;
1	public
2	non-member
3	member
4	moderator
5	admin
\.


--
-- Data for Name: awards; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY awards (id, username, score, whn, who, why) FROM stdin;
\.


--
-- Data for Name: bookcategories; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY bookcategories (id, name) FROM stdin;
\.


--
-- Data for Name: books; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY books (id, title, author, keywords, comments, onloan, loandate, publisher, loanwho, got, isbn, amazon_data, image_url) FROM stdin;
\.


--
-- Data for Name: booktags; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY booktags (bookid, tag) FROM stdin;
\.


--
-- Data for Name: events; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY events (id, name, "location", whn) FROM stdin;
\.


--
-- Data for Name: games; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY games (id, name, connect) FROM stdin;
\.


--
-- Data for Name: groups; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY groups (groupname, description) FROM stdin;
admin	Administrator
editor	Content Editor
\.


--
-- Data for Name: menu; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY menu (id, title, parent, menuorder, target, title_cy, permission) FROM stdin;
7	Donations	3	\N	/About/Donations	\N	\N
17	History	3	4	/About/History	Hanes	\N
37	Options	8	6	/Tools/Options	\N	users
27	Help	22	2	/Help	\N	\N
28	Articles	22	3	/Knowledge/Articles	\N	\N
9	Library	22	\N	/Knowledge/Library	Llyfrgell	\N
2	News	\N	1	/News/	Newyddion	\N
21	Joining	3	1	/About/Joining	Ymunwch	\N
18	Staff	3	3	/About/Staff	Staff	\N
12	Room	3	2	/About/Room	Ystafell	\N
10	Mailing Lists	8	1	http://sucs.org/mailman/listinfo	Rhestri Ebost	\N
11	Web Mail	8	3	https://sucs.org/webmail/	Ebost Gwe	\N
30	ShortURI	8	2	/Tools/ShortURI	\N	\N
31	PasteBin	8	4	/Tools/PasteBin	\N	\N
13	Milliways	16	3	/Community/Milliways	Milliways	\N
26	Shop	16	5	/Community/Shop	Shop	\N
29	Planet	16	6	/Community/Planet	\N	\N
25	Bananas	16	7	/Community/Bananas	\N	\N
32	Forum	16	4	/Community/Forum/	\N	\N
19	Members	16	1	/Community/Members	Aelodau	\N
20	Societies	16	2	/Community/Societies	Cymdeithasau	\N
33	Desktop on Demand	8	5	/Tools/Desktop on Demand	\N	\N
34	Projects	16	8	/Community/Projects	\N	\N
8	Tools	\N	6	/Tools	Gwasanaethaud	users
15	Games	\N	5	/Games	Gêmau	\N
36	Blogs	\N	4	/Blogs	\N	\N
22	Knowledge	\N	7	/Knowledge	\N	\N
16	Community	\N	3	/Community	Pobl	\N
24	FAQ	22	1	/Knowledge/FAQ	\N	\N
6	Regulations	3	\N	/About/Regulations	\N	\N
3	About	\N	2	/About	Gwybodaeth	\N
\.


--
-- Data for Name: news; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY news (id, title, body, date, category, sticky, author, expiry) FROM stdin;
\.


--
-- Data for Name: pagemap; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY pagemap (id, path, depth, component) FROM stdin;
24	/Blogs	2	blogs
25	/Blogs/Admin	4	blogadmin
26	/Blogs/feed	4	blogfeed
27	/Community/Planet	4	planet
33	/Options	2	options
32	/Tools/Options	4	options
3	/News	2	news
30	/Knowledge/Library/Admin	6	libraryadmin
4	/*	1	static
1	/	0	front
29	/About/JoinEmail	4	email
34	/gallery	2	gallery
5	/Community/Milliways	4	milliways
2	/Community/Bananas	4	bananas
10	/Debug	2	debug
8	/Games	2	games
11	/Admin/Pagemap	4	pagemap
12	/Knowledge/Articles	4	contents
6	/Knowledge/Library	4	library
13	/fragments	2	contents
14	/Tools/ShortURI	4	uri
7	/Knowledge/Help	2	contents
9	/Community/Shop	2	shop
15	/Games/*	3	static
17	/Tools/PasteBin	4	pastebin
16	/Community/Forum	4	forum
18	/Community/Projects	2	projects
19	/signup	2	signup
20	/Community/MW	4	mw
21	/Debug/ID	4	id
22	/Community/Members	4	members
23	/Community/Societies	4	societies
\.


--
-- Data for Name: pastebin; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY pastebin (id, created, username, code, highlighted_code, "language", retain_til) FROM stdin;
\.


--
-- Data for Name: pastebin_comment; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY pastebin_comment (id, line, username, created, "comment") FROM stdin;
\.


--
-- Data for Name: redirect; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY redirect (id, from_uri, to_uri) FROM stdin;
1	/uri	/Tools/ShortURI
2	/help	/Knowledge/Help
3	/Help	/Knowledge/Help
4	/games	/Games
5	/news	/News
6	/about	/About
7	/wiki	/Knowledge/Help
8	/join	/About/Joining
9	/shop	/Community/Shop
10	/Shop	/Community/Shop
11	/pb	/Tools/PasteBin
14	/planet	/Community/Planet
15	/info	/About
16	/services	/Tools
17	/people	/Community
18	/signup.php	/signup
12	/forum	/Community/Forum
13	/punbb	/Community/Forum
\.


--
-- Data for Name: session; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY "session" (hash, username, "time", data, ip) FROM stdin;
f0c1ec724757a75c5b4b8c90e78d0eca	dez	2007-11-27 18:17:02	s:0:"";	192.168.1.20
\.


--
-- Data for Name: shorturi; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY shorturi (id, url, creator, created) FROM stdin;
\.


--
-- Data for Name: static; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY static (id, path, summary, editor, pageorder) FROM stdin;
\.


--
-- Data for Name: usergroup; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY usergroup (username, groupname) FROM stdin;
dez	admin
\.


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY users (username, realname, "password") FROM stdin;
dez	Denis Walker	$1$nfV.LL7A$fIgekLFUJzxMqvXEcsgpb.
\.


--
-- Name: acctype_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY acctype
    ADD CONSTRAINT acctype_pkey PRIMARY KEY (id);


--
-- Name: awards_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY awards
    ADD CONSTRAINT awards_pkey PRIMARY KEY (id);


--
-- Name: bookcategories_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY bookcategories
    ADD CONSTRAINT bookcategories_pkey PRIMARY KEY (id);


--
-- Name: books_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY books
    ADD CONSTRAINT books_pkey PRIMARY KEY (id);


--
-- Name: groups_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY groups
    ADD CONSTRAINT groups_pkey PRIMARY KEY (groupname);


--
-- Name: menu_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_pkey PRIMARY KEY (id);


--
-- Name: pastebin_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY pastebin
    ADD CONSTRAINT pastebin_pkey PRIMARY KEY (id);


--
-- Name: users_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pkey PRIMARY KEY (username);


--
-- Name: booktags_bookid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dez
--

ALTER TABLE ONLY booktags
    ADD CONSTRAINT booktags_bookid_fkey FOREIGN KEY (bookid) REFERENCES books(id);


--
-- Name: booktags_tag_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dez
--

ALTER TABLE ONLY booktags
    ADD CONSTRAINT booktags_tag_fkey FOREIGN KEY (tag) REFERENCES bookcategories(id);


--
-- Name: menu_heading_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dez
--

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_heading_fkey FOREIGN KEY (parent) REFERENCES menu(id);


--
-- Name: usergroup_groupname_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dez
--

ALTER TABLE ONLY usergroup
    ADD CONSTRAINT usergroup_groupname_fkey FOREIGN KEY (groupname) REFERENCES groups(groupname);


--
-- Name: usergroup_username_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dez
--

ALTER TABLE ONLY usergroup
    ADD CONSTRAINT usergroup_username_fkey FOREIGN KEY (username) REFERENCES users(username);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- Name: acctype; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE acctype FROM PUBLIC;
REVOKE ALL ON TABLE acctype FROM dez;
GRANT ALL ON TABLE acctype TO dez;
GRANT ALL ON TABLE acctype TO apache;
GRANT SELECT ON TABLE acctype TO PUBLIC;


--
-- Name: acctype_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE acctype_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE acctype_id_seq FROM dez;
GRANT ALL ON TABLE acctype_id_seq TO dez;
GRANT ALL ON TABLE acctype_id_seq TO apache;


--
-- Name: awards; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE awards FROM PUBLIC;
REVOKE ALL ON TABLE awards FROM dez;
GRANT ALL ON TABLE awards TO dez;
GRANT ALL ON TABLE awards TO apache;
GRANT SELECT ON TABLE awards TO PUBLIC;


--
-- Name: awards_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE awards_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE awards_id_seq FROM dez;
GRANT ALL ON TABLE awards_id_seq TO dez;
GRANT ALL ON TABLE awards_id_seq TO apache;


--
-- Name: bookcategories; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE bookcategories FROM PUBLIC;
REVOKE ALL ON TABLE bookcategories FROM dez;
GRANT ALL ON TABLE bookcategories TO dez;
GRANT ALL ON TABLE bookcategories TO apache;
GRANT SELECT ON TABLE bookcategories TO PUBLIC;


--
-- Name: books; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE books FROM PUBLIC;
REVOKE ALL ON TABLE books FROM dez;
GRANT ALL ON TABLE books TO dez;
GRANT ALL ON TABLE books TO apache;
GRANT SELECT ON TABLE books TO PUBLIC;


--
-- Name: books_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE books_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE books_id_seq FROM dez;
GRANT ALL ON TABLE books_id_seq TO dez;
GRANT ALL ON TABLE books_id_seq TO apache;


--
-- Name: booktags; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE booktags FROM PUBLIC;
REVOKE ALL ON TABLE booktags FROM dez;
GRANT ALL ON TABLE booktags TO dez;
GRANT ALL ON TABLE booktags TO apache;
GRANT SELECT ON TABLE booktags TO PUBLIC;


--
-- Name: games; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE games FROM PUBLIC;
REVOKE ALL ON TABLE games FROM dez;
GRANT ALL ON TABLE games TO dez;
GRANT ALL ON TABLE games TO apache;
GRANT SELECT ON TABLE games TO PUBLIC;


--
-- Name: games_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE games_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE games_id_seq FROM dez;
GRANT ALL ON TABLE games_id_seq TO dez;
GRANT ALL ON TABLE games_id_seq TO apache;


--
-- Name: groups; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE groups FROM PUBLIC;
REVOKE ALL ON TABLE groups FROM dez;
GRANT ALL ON TABLE groups TO dez;
GRANT ALL ON TABLE groups TO apache;


--
-- Name: menu; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE menu FROM PUBLIC;
REVOKE ALL ON TABLE menu FROM dez;
GRANT ALL ON TABLE menu TO dez;
GRANT ALL ON TABLE menu TO apache;
GRANT SELECT ON TABLE menu TO PUBLIC;


--
-- Name: menu_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE menu_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE menu_id_seq FROM dez;
GRANT ALL ON TABLE menu_id_seq TO dez;
GRANT ALL ON TABLE menu_id_seq TO apache;


--
-- Name: news; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE news FROM PUBLIC;
REVOKE ALL ON TABLE news FROM dez;
GRANT ALL ON TABLE news TO dez;
GRANT ALL ON TABLE news TO apache;
GRANT SELECT ON TABLE news TO PUBLIC;


--
-- Name: news_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE news_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE news_id_seq FROM dez;
GRANT ALL ON TABLE news_id_seq TO dez;
GRANT ALL ON TABLE news_id_seq TO apache;


--
-- Name: pagemap; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE pagemap FROM PUBLIC;
REVOKE ALL ON TABLE pagemap FROM dez;
GRANT ALL ON TABLE pagemap TO dez;
GRANT ALL ON TABLE pagemap TO apache;
GRANT SELECT ON TABLE pagemap TO PUBLIC;


--
-- Name: pagemap_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE pagemap_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE pagemap_id_seq FROM dez;
GRANT ALL ON TABLE pagemap_id_seq TO dez;
GRANT ALL ON TABLE pagemap_id_seq TO apache;


--
-- Name: pastebin; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE pastebin FROM PUBLIC;
REVOKE ALL ON TABLE pastebin FROM dez;
GRANT ALL ON TABLE pastebin TO dez;
GRANT ALL ON TABLE pastebin TO apache;
GRANT SELECT ON TABLE pastebin TO PUBLIC;


--
-- Name: pastebin_comment; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE pastebin_comment FROM PUBLIC;
REVOKE ALL ON TABLE pastebin_comment FROM dez;
GRANT ALL ON TABLE pastebin_comment TO dez;
GRANT SELECT ON TABLE pastebin_comment TO PUBLIC;


--
-- Name: pastebin_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE pastebin_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE pastebin_id_seq FROM dez;
GRANT ALL ON TABLE pastebin_id_seq TO dez;
GRANT ALL ON TABLE pastebin_id_seq TO apache;


--
-- Name: redirect; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE redirect FROM PUBLIC;
REVOKE ALL ON TABLE redirect FROM dez;
GRANT ALL ON TABLE redirect TO dez;
GRANT ALL ON TABLE redirect TO apache;
GRANT SELECT ON TABLE redirect TO PUBLIC;


--
-- Name: redirect_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE redirect_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE redirect_id_seq FROM dez;
GRANT ALL ON TABLE redirect_id_seq TO dez;
GRANT ALL ON TABLE redirect_id_seq TO apache;


--
-- Name: session; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE "session" FROM PUBLIC;
REVOKE ALL ON TABLE "session" FROM dez;
GRANT ALL ON TABLE "session" TO dez;
GRANT ALL ON TABLE "session" TO apache;
GRANT INSERT ON TABLE "session" TO PUBLIC;


--
-- Name: shorturi; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE shorturi FROM PUBLIC;
REVOKE ALL ON TABLE shorturi FROM dez;
GRANT ALL ON TABLE shorturi TO dez;
GRANT ALL ON TABLE shorturi TO apache;
GRANT SELECT ON TABLE shorturi TO PUBLIC;


--
-- Name: shorturi_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE shorturi_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE shorturi_id_seq FROM dez;
GRANT ALL ON TABLE shorturi_id_seq TO dez;
GRANT ALL ON TABLE shorturi_id_seq TO apache;


--
-- Name: static; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE static FROM PUBLIC;
REVOKE ALL ON TABLE static FROM dez;
GRANT ALL ON TABLE static TO dez;
GRANT ALL ON TABLE static TO apache;
GRANT SELECT ON TABLE static TO PUBLIC;


--
-- Name: static_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE static_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE static_id_seq FROM dez;
GRANT ALL ON TABLE static_id_seq TO dez;
GRANT ALL ON TABLE static_id_seq TO apache;


--
-- Name: usergroup; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE usergroup FROM PUBLIC;
REVOKE ALL ON TABLE usergroup FROM dez;
GRANT ALL ON TABLE usergroup TO dez;
GRANT ALL ON TABLE usergroup TO apache;


--
-- Name: users; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE users FROM PUBLIC;
REVOKE ALL ON TABLE users FROM dez;
GRANT ALL ON TABLE users TO dez;
GRANT ALL ON TABLE users TO apache;


--
-- PostgreSQL database dump complete
--

